body {
  font-family: 'Ubuntu', sans-serif;
  background-image: url(../img/fon.png);
  background-repeat: no-repeat;
  background-size: cover;
  width: 100%;
  height: 100%;
}

header {
  background-color: rgba(0, 0, 0, 0.4);
  box-shadow: 0px 4px 4px 0px rgba(0, 0, 0, 0.25);
}

.header-conteiner {
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding-top: 17px;
  padding-bottom: 17px;
  width: 1208px;
  margin: 0 auto;
}

.logo {
  color: #fff;
  font-size: 22px;
  font-weight: 700;
  line-height: 22px; /* 100% */
}
.logo,
.user-link {
  transition: color 1s;
}

.user-link:hover,
.logo:hover {
  color: #3cb878;
}
.header-navigation {
  display: flex;
  align-items: center;
}

.header-nav-list {
  list-style: none;
  display: flex;
  align-items: flex-start;
  gap: 24px;
  height: 24px;
  padding-left: 0;
}

.svg-fill {
  transition: fill 1s;
}
.header-nav-link:hover .svg-fill {
  fill: #3cb878;
}

.nav-desc::before {
  content: '';
  height: 19px;
  border-left: 1px solid rgba(255, 255, 255, 0.9);
  opacity: 0.5;
}

.nav-desc {
  display: flex;
  align-items: center;
  gap: 19px;
  padding-left: 24px;
  color: #fff;
  font-size: 14px;
  line-height: 14px; /* 100% */
}
.user-link {
  color: #fff;
}
main {
  height: 100%;
}
.main-form {
  height: 90vh;
  display: flex;
  justify-content: center;
  align-items: center;
}

.form-conteiner {
  background: #fff;
  padding: 31px 60px 38px 60px;
  box-shadow: 0px 4px 18px 0px rgba(0, 0, 0, 0.52);
  width: 444px;
  position: relative;
}

.main-login {
  display: grid;
  grid-template-columns: 1fr 1fr;
  gap: 8px;
}
.title-form {
  margin-top: 0;
  margin-bottom: 0;
  color: #434343;
  font-size: 20px;
  font-weight: 400;
  line-height: 20px; /* 100% */
}
.title-form::before {
  display: block;
  content: '';
  background-color: #3cb878;
  width: 18px;
  height: 18px;
  position: absolute;
  top: 32px;
  left: 0;
}

.link-form {
  justify-self: end;
  color: #3cb878;
  font-size: 14px;
  font-weight: 400;
  line-height: 14px; /* 100% */
  text-decoration: underline;
  text-decoration-color: transparent;
  transition: 1s;
}
.link-form:hover {
  text-decoration-color: #01813f;
  color: #01813f;
}

.btn-style {
  color: #fff;
  font-family: 'Ubuntu', sans-serif;
  font-size: 16px;
  line-height: 16px;
  border: none;
  padding: 12px 0 12px 12px;
  border-radius: 4px;
}
.btn-facebook {
  background-color: #305db8;
  display: flex;
  align-items: center;
  justify-content: space-between;
  gap: 13px;
}

.btn-facebook:hover {
  background-color: #022263;
}

.btn-google {
  background-color: #df4a32;
  display: flex;
  align-items: center;
  justify-content: space-between;
  gap: 7px;
}

.btn-google:hover {
  background-color: #ab1f09;
}

.btn-facebook,
.btn-google,
.bnt-submit {
  transition: background-color 1s;
}

.facebook-decor {
  align-items: center;
  flex-grow: 1;
  display: flex;
  gap: 18px;
}
.facebook-decor::before {
  content: '';
  height: 28px;
  border-left: 1px solid #0a162f;
  opacity: 0.1;
}

.google-decor {
  align-items: center;
  flex-grow: 1;
  display: flex;
  gap: 30px;
}
.google-decor::before {
  content: '';
  height: 28px;
  border-left: 1px solid #2b0d09;
  opacity: 0.1;
}
.forum-desc {
  position: relative;
  margin-top: 32px;
  color: #848484;
  font-size: 14px;
  height: min-content;
  display: flex;
  justify-content: center;
  align-items: center;
}
.forum-desc::after,
.forum-desc::before {
  position: absolute;
  display: block;
  content: '';
  width: 153px;
  border-bottom: 1px solid #f2f2f2;
  top: 9px;
}
.forum-desc::before {
  left: 0px;
}
.forum-desc::after {
  right: 0px;
}

.regestration-form {
  margin-top: 12px;
}

.registration-info {
  border: 1px solid #f2f2f2;
  width: 100%;
  height: 44px;
  margin-bottom: 15px;
  background-color: #fff;
  border-radius: 4px;
  color: #434343;
  font-size: 14px;
  line-height: 14px;
  padding-top: 16px;
  padding-bottom: 16px;
  padding-left: 20px;
}
.registration-info:focus {
  box-shadow: 0px 3px 8px rgba(0, 0, 0, 0.21);
  outline: none;
}
.text-checkbox {
  margin-top: 12px;
  display: block;
  color: #434343;
  font-family: Ubuntu;
  font-size: 14px;
  font-style: normal;
  font-weight: 400;
  line-height: 14px; /* 100% */
  padding-left: 28px;
}
.bnt-submit {
  border: none;
  width: 100%;
  margin-top: 20px;
  border-radius: 4px;
  background-color: rgba(60, 184, 120, 0.8);
  color: #fff;
  font-family: Ubuntu;
  font-size: 16px;
  font-style: normal;
  font-weight: 400;
  line-height: 16px; /* 100% */
  padding-top: 16px;
  padding-bottom: 16px;
}
.bnt-submit:hover {
  background-color: #01813f;
}

/* стилизация checkbox  */

.checkbox-conteiner {
  position: relative;
}

.input-checkbox {
  appearance: none;
  position: absolute;
}

.text-checkbox::before {
  display: block;
  content: '';
  width: 20px;
  height: 20px;
  border: 1px solid #f2f2f2;
  background-color: rgba(247, 8, 8, 0);
  position: absolute;
  top: -4px;
  left: 0;
  z-index: 1;
}
.text-checkbox::after {
  display: block;
  content: '';
  width: 20px;
  height: 20px;
  background-image: url(../img/chek.svg);
  background-repeat: no-repeat;
  position: absolute;
  top: -3px;
  left: 2px;
  z-index: 2;
  opacity: 0;
}
.input-checkbox:checked + .text-checkbox::after {
  opacity: 1;
}
.registration-info::placeholder {
  color: #bebebe;
  font-family: 'Ubuntu', sans-serif;
  font-size: 14px;
  font-style: normal;
  font-weight: 400;
  line-height: 14px; /* 100% */
}

.registration-info:focus::placeholder {
  color: #434343;
}
